<?php

$classic_tour_booking_first_color = get_theme_mod('classic_tour_booking_first_color');
$classic_tour_booking_second_color = get_theme_mod('classic_tour_booking_second_color');
$classic_tour_booking_color_scheme_css = '';

/*------------------ Global First Color -----------*/

if ($classic_tour_booking_first_color) {
  $classic_tour_booking_color_scheme_css .= ':root {';
  $classic_tour_booking_color_scheme_css .= '--first-theme-color: ' . esc_attr($classic_tour_booking_first_color) . ' !important;';
  $classic_tour_booking_color_scheme_css .= '} ';
}

/*------------------ Global Second Color -----------*/

if ($classic_tour_booking_second_color) {
  $classic_tour_booking_color_scheme_css .= ':root {';
  $classic_tour_booking_color_scheme_css .= '--second-theme-color: ' . esc_attr($classic_tour_booking_second_color) . ' !important;';
  $classic_tour_booking_color_scheme_css .= '} ';
}

//---------------------------------Logo-Max-height--------- 
$classic_tour_booking_logo_width = get_theme_mod('classic_tour_booking_logo_width');

if($classic_tour_booking_logo_width != false){

  $classic_tour_booking_color_scheme_css .='.classic-tour-booking-logo img{';

    $classic_tour_booking_color_scheme_css .='width: '.esc_html($classic_tour_booking_logo_width).'px;';

  $classic_tour_booking_color_scheme_css .='}';
}

// top bar
$classic_tour_booking_contact_box = get_theme_mod('classic_tour_booking_contact_box');

if($classic_tour_booking_contact_box != true){

  $classic_tour_booking_color_scheme_css .='.header-top{';

    $classic_tour_booking_color_scheme_css .='border-bottom: 1px solid #ccc;';

  $classic_tour_booking_color_scheme_css .='}';
}

/*---------------------------Slider Height ------------*/

  $classic_tour_booking_slider_img_height = get_theme_mod('classic_tour_booking_slider_img_height');
  if($classic_tour_booking_slider_img_height != false){
      $classic_tour_booking_color_scheme_css .='.slidesection img{';
          $classic_tour_booking_color_scheme_css .='height: '.esc_attr($classic_tour_booking_slider_img_height).' !important;';
      $classic_tour_booking_color_scheme_css .='}';
  }

/*--------------------------- Footer background image -------------------*/

$classic_tour_booking_footer_bg_image = get_theme_mod('classic_tour_booking_footer_bg_image');
if ($classic_tour_booking_footer_bg_image != false) {
    $classic_tour_booking_color_scheme_css .= '.footer-widget{';
        $classic_tour_booking_color_scheme_css .= 'background: url('.esc_attr($classic_tour_booking_footer_bg_image).');';
        $classic_tour_booking_color_scheme_css .= 'background-size: cover;';
    $classic_tour_booking_color_scheme_css .= '}';
}

/*--------------------------- Footer image position -------------------*/

$classic_tour_booking_footer_img_position = get_theme_mod('classic_tour_booking_footer_img_position','center center');
if($classic_tour_booking_footer_img_position != false){
    $classic_tour_booking_color_scheme_css .='.footer-widget{';
        $classic_tour_booking_color_scheme_css .='background-position: '.esc_attr($classic_tour_booking_footer_img_position).';';
    $classic_tour_booking_color_scheme_css .='}';
}	

/*--------------------------- Scroll to top positions -------------------*/

  $classic_tour_booking_scroll_position = get_theme_mod( 'classic_tour_booking_scroll_position','Right');
  if($classic_tour_booking_scroll_position == 'Right'){
      $classic_tour_booking_color_scheme_css .='#button{';
          $classic_tour_booking_color_scheme_css .='right: 20px;';
      $classic_tour_booking_color_scheme_css .='}';
  }else if($classic_tour_booking_scroll_position == 'Left'){
      $classic_tour_booking_color_scheme_css .='#button{';
          $classic_tour_booking_color_scheme_css .='left: 20px;';
      $classic_tour_booking_color_scheme_css .='}';
  }else if($classic_tour_booking_scroll_position == 'Center'){
      $classic_tour_booking_color_scheme_css .='#button{';
          $classic_tour_booking_color_scheme_css .='right: 50%;left: 50%;';
      $classic_tour_booking_color_scheme_css .='}';
  }

  /*--------------------------- Woocommerce Product Image Border Radius -------------------*/

  $classic_tour_booking_woo_product_img_border_radius = get_theme_mod('classic_tour_booking_woo_product_img_border_radius');
  if($classic_tour_booking_woo_product_img_border_radius != false){
      $classic_tour_booking_color_scheme_css .='.woocommerce ul.products li.product a img{';
          $classic_tour_booking_color_scheme_css .='border-radius: '.esc_attr($classic_tour_booking_woo_product_img_border_radius).'px;';
      $classic_tour_booking_color_scheme_css .='}';
  }

  /*--------------------------- Woocommerce Product Sale Position -------------------*/    

  $classic_tour_booking_product_sale_position = get_theme_mod( 'classic_tour_booking_product_sale_position','Left');
  if($classic_tour_booking_product_sale_position == 'Right'){
      $classic_tour_booking_color_scheme_css .='.woocommerce ul.products li.product .onsale{';
          $classic_tour_booking_color_scheme_css .='left:auto; right:0;';
      $classic_tour_booking_color_scheme_css .='}';
  }else if($classic_tour_booking_product_sale_position == 'Left'){
      $classic_tour_booking_color_scheme_css .='.woocommerce ul.products li.product .onsale {';
          $classic_tour_booking_color_scheme_css .='right:auto; left:0;';
      $classic_tour_booking_color_scheme_css .='}';
  }

  /*--------------------------- Shop page pagination -------------------*/

  $classic_tour_booking_wooproducts_nav = get_theme_mod('classic_tour_booking_wooproducts_nav', 'Yes');
  if($classic_tour_booking_wooproducts_nav == 'No'){
    $classic_tour_booking_color_scheme_css .='.woocommerce nav.woocommerce-pagination{';
      $classic_tour_booking_color_scheme_css .='display: none;';
    $classic_tour_booking_color_scheme_css .='}';
  }

  /*--------------------------- Related Product -------------------*/

  $classic_tour_booking_related_product_enable = get_theme_mod('classic_tour_booking_related_product_enable',true);
  if($classic_tour_booking_related_product_enable == false){
    $classic_tour_booking_color_scheme_css .='.related.products{';
      $classic_tour_booking_color_scheme_css .='display: none;';
    $classic_tour_booking_color_scheme_css .='}';
  }

  /*--------------------------- Scroll to Top Button Shape -------------------*/

  $classic_tour_booking_scroll_top_shape = get_theme_mod('classic_tour_booking_scroll_top_shape', 'circle');
  if($classic_tour_booking_scroll_top_shape == 'box' ){
      $classic_tour_booking_color_scheme_css .='#button{';
          $classic_tour_booking_color_scheme_css .=' border-radius: 0%';
      $classic_tour_booking_color_scheme_css .='}';
  }elseif($classic_tour_booking_scroll_top_shape == 'curved' ){
      $classic_tour_booking_color_scheme_css .='#button{';
          $classic_tour_booking_color_scheme_css .=' border-radius: 20%';
      $classic_tour_booking_color_scheme_css .='}';
  }elseif($classic_tour_booking_scroll_top_shape == 'circle' ){
      $classic_tour_booking_color_scheme_css .='#button{';
          $classic_tour_booking_color_scheme_css .=' border-radius: 50%;';
      $classic_tour_booking_color_scheme_css .='}';
  }

/*--------------------------- Menu Typography -------------------*/

$classic_tour_booking_theme_lay = get_theme_mod( 'classic_tour_booking_menu_text_transform','Capitalize');
if($classic_tour_booking_theme_lay == 'Uppercase'){
    $classic_tour_booking_color_scheme_css .='.main-nav a{';
        $classic_tour_booking_color_scheme_css .='text-transform: uppercase;';
    $classic_tour_booking_color_scheme_css .='}';
}else if($classic_tour_booking_theme_lay == 'Lowercase'){
    $classic_tour_booking_color_scheme_css .='.main-nav a{';
        $classic_tour_booking_color_scheme_css .='text-transform: lowercase;';
    $classic_tour_booking_color_scheme_css .='}';
}
else if($classic_tour_booking_theme_lay == 'Capitalize'){
    $classic_tour_booking_color_scheme_css .='.main-nav a{';
        $classic_tour_booking_color_scheme_css .='text-transform: capitalize;';
    $classic_tour_booking_color_scheme_css .='}';
}

/*--------------------------- Post Layout -------------------*/

$classic_tour_booking_blog_layouts = get_theme_mod('classic_tour_booking_blog_layout_option_setting', 'Left');
if ($classic_tour_booking_blog_layouts == 'Left') {
    $classic_tour_booking_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_tour_booking_color_scheme_css .= 'text-align:left;';
    $classic_tour_booking_color_scheme_css .= '}';
} elseif ($classic_tour_booking_blog_layouts == 'Center') {
    $classic_tour_booking_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_tour_booking_color_scheme_css .= 'text-align:center;';
    $classic_tour_booking_color_scheme_css .= '}';
} elseif ($classic_tour_booking_blog_layouts == 'Right') {
    $classic_tour_booking_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_tour_booking_color_scheme_css .= 'text-align:right;';
    $classic_tour_booking_color_scheme_css .= '}';
}